Subject: Re: bug#1958: 23.0.60; org-mode does not honour shift-select-mode

From: Lennart Borgman <[email-masked]>
Date: Tue, 20 Jan 2009 15:12:43 +0100

On Tue, Jan 20, 2009 at 2:40 PM, Chong Yidong <[email-masked]> wrote:
> Carsten Dominik <[email-masked]> writes:
>
>> thank you for bringing this to my attention.  However, it not
>> clear to me how modifying the interactive form would solve the
>> issue that in Org, S-curser keys are used for different fuctionality?
>
> Ah OK.  I didn't investigate carefully enough.  I see now that Org binds
> S-arrow keys to commands that don't have anything to do with cursor
> motion.
>
> I don't think consistency demands that S-arrow perform text selection in
> other major modes.  So, unless you wish to change it, we can leave this
> one alone.

Is not this at the same level as any other key binding that should
have a global impact? As I understand it there has been a long fight
to get key bindings consistent. Wouldn't it be unfortunate to step off
that road now?